---
updatedAt: 2026-06-03T14:46:37.000Z
agentTools:
  projectIndex: https://developers.fieldwire.com/llms.txt
---

# Get all spec_section_versions in project

# OpenAPI definition

```json
{
  "openapi": "3.0.3",
  "info": {
    "title": "Fieldwire Regional API",
    "version": "v3"
  },
  "servers": [
    {
      "url": "https://client-api.{region}.fieldwire.com",
      "variables": {
        "region": {
          "default": "us",
          "enum": [
            "ca",
            "eu",
            "us"
          ]
        }
      }
    }
  ],
  "components": {
    "headers": {
      "count": {
        "description": "Pagination header: number of entities in responses",
        "schema": {
          "type": "integer"
        }
      },
      "current_user_id": {
        "description": "Current user's id",
        "schema": {
          "type": "integer"
        }
      },
      "has_more": {
        "description": "True if there are more pages of results, false otherwise",
        "schema": {
          "type": "boolean"
        }
      },
      "last_synced_at": {
        "description": "To be used as input for `last_synced_at` query parameter to get the next page of results",
        "schema": {
          "type": "string",
          "format": "date-time"
        }
      }
    },
    "parameters": {
      "api_version": {
        "name": "Fieldwire-Version",
        "in": "header",
        "description": "Specifies the version of the API to talk to",
        "required": true,
        "schema": {
          "type": "string",
          "format": "date"
        }
      },
      "entities_filter": {
        "name": "Fieldwire-Filter",
        "in": "header",
        "description": "Specifies if request should include active, deleted or all (default) entities",
        "required": false,
        "schema": {
          "type": "string",
          "enum": [
            "active",
            "deleted"
          ]
        }
      },
      "entities_per_page": {
        "name": "Fieldwire-Per-Page",
        "in": "header",
        "description": "Specifies the number of entities to include in the request",
        "required": false,
        "schema": {
          "type": "integer",
          "maximum": 1000
        }
      },
      "project_id": {
        "name": "project_id",
        "in": "path",
        "description": "ID of the project this entity belongs to",
        "required": true,
        "schema": {
          "type": "string",
          "format": "uuid"
        }
      },
      "last_synced_at": {
        "name": "last_synced_at",
        "in": "query",
        "description": "Timestamp since when further updates should be included",
        "required": false,
        "schema": {
          "type": "string",
          "format": "date-time"
        }
      }
    },
    "schemas": {
      "spec_section_version": {
        "type": "object",
        "description": "A version of a specific spec_section.",
        "required": [
          "id",
          "title",
          "description",
          "file_url",
          "thumb_url",
          "status",
          "revision_number",
          "project_id",
          "spec_section_id",
          "attachment_id",
          "creator_user_id",
          "last_editor_user_id",
          "created_at",
          "updated_at",
          "deleted_at",
          "device_created_at",
          "device_updated_at"
        ],
        "nullable": false,
        "properties": {
          "id": {
            "type": "string",
            "format": "uuid",
            "nullable": false,
            "description": "ID of the spec_section_version"
          },
          "title": {
            "type": "string",
            "nullable": true,
            "description": "Title of the spec_section_version"
          },
          "description": {
            "type": "string",
            "nullable": false,
            "description": "Description of the spec_section_version"
          },
          "file_url": {
            "type": "string",
            "nullable": false,
            "description": "URL to a PDF of the spec_section_version"
          },
          "thumb_url": {
            "type": "string",
            "nullable": true,
            "description": "URL to a thumbnail jpg of the spec_section_version's first page"
          },
          "status": {
            "type": "string",
            "enum": [
              "draft",
              "conflict",
              "confirmed",
              null
            ],
            "nullable": true,
            "description": "Status of the spec_section_version"
          },
          "revision_number": {
            "type": "integer",
            "nullable": false,
            "description": "Revision number of the spec_section_version"
          },
          "project_id": {
            "type": "string",
            "format": "uuid",
            "nullable": false,
            "description": "ID of the project the spec_section_version belongs to"
          },
          "spec_section_id": {
            "type": "string",
            "format": "uuid",
            "nullable": false,
            "description": "ID of the spec_section the spec_section_version belongs to"
          },
          "attachment_id": {
            "type": "string",
            "format": "uuid",
            "nullable": false,
            "description": "ID of the attachment associated with the spec_section_version"
          },
          "creator_user_id": {
            "type": "integer",
            "format": "int32",
            "nullable": false,
            "description": "ID of the user who created the spec_section_version"
          },
          "last_editor_user_id": {
            "type": "integer",
            "format": "int32",
            "nullable": true,
            "description": "ID of the last user who edited the spec_section_version"
          },
          "created_at": {
            "type": "string",
            "format": "date-time",
            "nullable": false,
            "description": "Time when the server created the spec_section_version"
          },
          "updated_at": {
            "type": "string",
            "format": "date-time",
            "nullable": false,
            "description": "Time when the server last updated the spec_section_version"
          },
          "deleted_at": {
            "type": "string",
            "format": "date-time",
            "nullable": true,
            "description": "Time when the server last deleted the spec_section_version"
          },
          "device_created_at": {
            "type": "string",
            "format": "date-time",
            "nullable": true,
            "description": "Time when the device created the spec_section_version"
          },
          "device_updated_at": {
            "type": "string",
            "format": "date-time",
            "nullable": true,
            "description": "Time when the device last updated the spec_section_version"
          },
          "resolved_conflict": {
            "type": "boolean",
            "nullable": false,
            "description": "Specifies if PUT/PATCH request was rejected - do not store this field!"
          }
        },
        "additionalProperties": false
      }
    },
    "securitySchemes": {
      "jwt": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT",
        "description": "Access token (JWT) generated using the acquired refresh token (API token). Our [authentication](https://developers.fieldwire.com/docs/authentication) guide covers the steps to generate a valid token"
      }
    }
  },
  "paths": {
    "/api/v3/projects/{project_id}/spec_section_versions": {
      "get": {
        "summary": "Get all spec_section_versions in project",
        "operationId": "get_spec_section_versions_in_project",
        "tags": [
          "spec section versions"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/api_version"
          },
          {
            "$ref": "#/components/parameters/entities_filter"
          },
          {
            "$ref": "#/components/parameters/entities_per_page"
          },
          {
            "$ref": "#/components/parameters/last_synced_at"
          },
          {
            "$ref": "#/components/parameters/project_id"
          }
        ],
        "security": [
          {
            "jwt": []
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "headers": {
              "X-Current-User-Id": {
                "$ref": "#/components/headers/current_user_id"
              },
              "X-Count": {
                "$ref": "#/components/headers/count"
              },
              "X-Last-Synced-At": {
                "$ref": "#/components/headers/last_synced_at"
              },
              "X-Has-More": {
                "$ref": "#/components/headers/has_more"
              }
            },
            "content": {
              "application/json": {
                "example": [
                  {
                    "id": "f1441fb5-c97d-43e3-b15d-a6eabde6b3dd",
                    "creator_user_id": 2253,
                    "last_editor_user_id": 2253,
                    "project_id": "db666fba-c0e0-4608-8a70-82b78618ecba",
                    "resolved_conflict": false,
                    "created_at": "2026-10-01T00:00:00.000Z",
                    "updated_at": "2026-10-01T00:00:00.000Z",
                    "device_created_at": "2026-10-01T00:00:00.000Z",
                    "device_updated_at": "2026-10-01T00:00:00.000Z",
                    "deleted_at": null,
                    "title": "this is a spec section (version)",
                    "description": "1/2/2099",
                    "revision_number": 0,
                    "attachment_id": "619d2d2f-712f-46ae-b578-77d393ba5b3e",
                    "spec_section_id": "0335eba5-d2c8-45de-924e-3b7c16d6639f",
                    "status": null,
                    "thumb_url": null,
                    "file_url": "http://example.com/ab12702c-75fc-44d4-9cb6-2201c40a6228-name"
                  },
                  {
                    "id": "b703b6aa-62de-480c-b81f-0b8721f8fd81",
                    "creator_user_id": 2253,
                    "last_editor_user_id": 2253,
                    "project_id": "db666fba-c0e0-4608-8a70-82b78618ecba",
                    "resolved_conflict": false,
                    "created_at": "2026-10-02T14:53:05.526Z",
                    "updated_at": "2026-10-02T14:53:05.526Z",
                    "device_created_at": "2026-10-02T14:53:05.526Z",
                    "device_updated_at": "2026-10-02T14:53:05.526Z",
                    "deleted_at": null,
                    "title": "this is a spec section (version)",
                    "description": "1/2/2099",
                    "revision_number": 0,
                    "attachment_id": "d04a271d-634a-40b0-bb6c-3511b42c3eb5",
                    "spec_section_id": "3621aa75-35ba-4c69-83a8-f68ed7cf5d0b",
                    "status": null,
                    "thumb_url": null,
                    "file_url": "http://example.com/a013eb89-fa55-46bf-a731-1e22f4d73482-name"
                  }
                ],
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/spec_section_version"
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}
```